Summary: TeX typesetting system and MetaFont font formatter
Name: tetex
Version: 0.9
Release: 6
Copyright: distributable
Group: Applications/Publishing/TeX
Requires: tmpwatch, dialog, ed
Prereq: /sbin/install-info
Source0: ftp://ftp.rrzn.uni-hannover.de/pub/local/misc/teTeX-beta/teTeX-src-%{PACKAGE_VERSION}.tar.gz
Source1: ftp://ftp.rrzn.uni-hannover.de/pub/local/misc/teTeX-beta/teTeX-texmf-%{PACKAGE_VERSION}.tar.gz
Source2: dvi-to-ps.fpi
Source10: tetex.cron
Patch0: teTeX-0.9-rhconfig.patch  
Patch1: teTeX-0.9-buildr.patch
Patch2: teTeX-0.9-italian.patch
Url: http://www.tug.org/teTeX/
BuildRoot: /var/tmp/tetex-root
Summary(de): TeX-Satzherstellungssystem und MetaFont-Formatierung
Summary(fr): Systme de compostion TeX et formatteur de MetaFontes.
Summary(tr): TeX dizgi sistemi ve MetaFont yaztipi biimlendiricisi
Obsoletes: tetex-texmf-src

%description
TeX formats a file of interspersed text and commands and outputs a
typesetter independent file (called DVI, which is short for DeVice
Independent).  TeX capabilities and language are described in The
TeXbook, by Knuth.

%package latex
Summary: LaTeX macro package
Group: Applications/Publishing/TeX
Summary(de): LaTeX-Makropaket
Summary(fr): Package de macros pour LaTeX
Summary(tr): LaTeX makro paketi
Requires: tetex = %{PACKAGE_VERSION}

%description latex
LaTeX is a TeX macro package. The LaTeX macros encourage writers to
think about the content of their documents, rather than the form.  The
ideal, very difficult to realize, is to have no formatting commands
(like ``switch to italic'' or ``skip 2 picas'') in the document at
all; instead, everything is done by specific markup instructions:
``emphasize'', ``start a section''.

%package xdvi
Summary: X11 previewer
Group: Applications/Publishing/TeX
Summary(de): X11-Previewer 
Summary(fr): Prvisualisateur X11
Summary(tr): X11 ngrntleyici

%description xdvi
xdvi is a program which runs under the X window system. It is used to
preview dvi files, such as are produced by tex and latex.

%package dvips
Summary: dvi to postscript convertor
Group: Applications/Publishing/TeX
Summary(de): dvi-Postscript-Konvertierungsprogramm
Summary(fr): Convertisseur dvi vers PostScript
Summary(tr): dvi'dan postscript'e dntrc
Requires: tetex = %{PACKAGE_VERSION}

%description dvips
The program dvips takes a DVI file file[.dvi] produced by TeX (or by
some other processor such as GFtoDVI) and converts it to PostScript,
normally sending the result directly to the laserprinter.

%package dvilj
Summary: dvi to laserjet convertor
Group: Applications/Publishing/TeX
Summary(de): Ein dvi-->Laserjet-Konvertierer
Summary(fr): convertisseur dvi vers laserjet.
Summary(tr): dvi'dan laserjet'e dntrc
Requires: tetex = %{PACKAGE_VERSION}

%description dvilj
Dvilj and siblings convert TeX-output .dvi files into HP PCL (i.e.  HP
Printer Control Language) commands suitable for printing on a HP
LaserJet+, HP LaserJet IIP (using dvilj2p), HP LaserJet 4 (using
dvilj4), and fully compatible printers.

%package afm
Summary: afm (Adobe Font Metrics) fonts and utilities
Group: Applications/Publishing/TeX
Summary(de): Fonts und Dienstprogramme fr afm (Adobe Font Metrics)
Summary(fr): Fontes afm (Adobe Font Metrics) et utilitaires
Summary(tr): afm yaztipleri ve yardmc programlar
Requires: tetex = %{PACKAGE_VERSION}

%description afm
PostScript fonts are (or should be) accompanied by font metric files
such as Times-Roman.afm, which describes the characteristics of the
font called Times-Roman.  To use such fonts with TeX, we need TFM
files that contain similar information.  afm2tfm does that conversion.

%package doc
Summary: Various documentation bits about teTeX
Group: Applications/Publishing/TeX

%description doc
This package contains the documentation files from the teTeX system. Because
of their big size, the documentation is now separated in its own
subpackage.

%description -l de latex
LaTeX ist ein TeX-Makropaket. Die LaTeX-Makros regen den Autor an, 
ber den Inhalt - und nicht die Form - ihrer Dokumente nachzudenken. 
Ideal, wenn auch schwer zu realisieren, wre ein Dokument, das 
keinerlei Formatierungsbefehle (von der Art 'Kursiv ein/aus' 
oder 'Zeilenabstand um 2 Pica vergrern') enthielte. Stattdessen  
wrde all dies durch spezifische 'redaktionelle' Instruktionen ersetzt 
('auszeichnen', 'neues Kapitel starten'). 

%description -l de dvips
Das dvips-Programm nimmt eine dvi-Datei ([.dvi]), die von TeX
bzw. durch einen anderen Prozessor wie GFtoDVI) erzeugt wurde, und
konvertiert diese in PostScript, wobei das Ergebnis in der Regel direkt
an einen Laserdrucker gesandt wird.

%description -l de afm
PostScript-Fonts werden (oder sollten) von Font-Metric-Dateien
(z.B. Times-Roman.afm) begleitet, die die Eigenschaften des Fonts
(hier: Times-Roman) beschreiben. Um solche Fonts mit TeX verwenden
zu knnen, werden TFM-Dateien bentigt, die hnliche Informationen


%description -l de xdvi
xdvi ist ein Programm, das unter dem X-Window-System luft und gewohnt 
ist, dvi-Dateien als Vorschau anzuzeigen, etwa solche, die von tex und 
latex erzeugt wurden. 

%description -l de dvilj
Dvilj und Gebrder konvertieren TeX-Ausgabe-.dvi-Dateien in HP PCL 
 (HP Printer Control Language) Befehle zum Drucken auf HP LaserJet+, 
HP LaserJet IIP (mit dvilj2p), HP LaserJet 4 (mit
 dvilj4) und 
vollstndig kompatiblen Druckern. 

%description -l de
TeX formatiert eine Datei, die abwechselnd Text und Befehle enthlt und
gibt eine gerteunabhngige Datei aus (DVI genannt, Abk. fr DeVice
Independent). Die Funktionen und Sprache von TeX werden in The
TeXbook von Knuth beschrieben.

%description -l fr latex
LaTeX est un paquetage de macros TeX. Les macros LaTeX permettent aux
auteurs de se concentrer sur le contenu des leurs documents, plutt que
sur la forme. L'idal, trs difficile  raliser, est de n'avoir aucune
commande de formatage (comme  mettre en italique , ou  sauter 2 picas )
dans le document ; au lieu de cela, tout est fait par des balises :
 dbut de section ,  gras .

%description -l fr dvips
Le programme dvips convertit les fichiers DVI en PostScript, en
envoyant normalement le rsultat directement sur une imprimante Laser.

%description -l fr afm
Les fontes PostScript sont (ou devraient tre) accompagnes de
fontes mtriques comme Times-Roman.afm qui dcrivent les caractristiques
des fontes appeles Times-Roman. pour utiliser ces fontes avec TeX, nous
avons besoin de TFM, des fichiers qui contiennent des informations
similaires. afm2tfm ralise cette conversion.

%description -l fr xdvi
xdvi est un programme s'excutant sous le systme X Window. Il sert 
visualiser les fichiers dvi tels que ceux produits par tex et latex.

%description -l fr dvilj
dvilj et ses cousins convertissent les fichiers dvi en commandes HPPCL
(le langage des imprimantes HP) pour les imprimer sur HP LaserJet+,
HP LaserJet IIP (avec dvilj2p), HP LaserJet 4 (avec dvilj4), et autres
imprimantes totalement compatibles.  

%description -l fr
TeX formate un fichier de commandes et de texte mlands, et produit un
fichier de indpendant de toute plate-forme (appel DVI, qui est
un raccourci pour Device Independant). Les possibilits de TeX et son
langage sont dcrites dans l'ouvrage TeXbook, de Knuth.

%description -l tr latex
LaTeX bir TeX makro paketidir. LaTeX makrolar, yazarlar belgelerinin
biimlerinden ok ierikleri zerinde younlamlarna zendirir. dealde,
gerekletirilmesi ok zor olsa da, hi biimlendirme komutuna yer
vermeksizin (``2 birim aralk brak'' gibi), yalnzca zel iaretleme
ynergeleri ile (``yeni bir kesime ge'' gibi) bunu baarmaya alr.

%description -l tr dvips
dvips program, dvi biiminde bir girdi dosyas alr ve onu PostScript'e
dntrr. Kaynak dosya TeX tarafndan oluturulmu olabilecei gibi baka
ileyiciler tarafndan da (GFtoDVI gibi) retilmi olabilir.

%description -l tr afm
PostScript yaztipleri, yaztipi lt dosyalar ile beraber datlrlar.
rnein Times-Roman.afm, Times-Roman yaztipinin karakteristik zelliklerini
tanmlar. Bu trde yaztiplerini TeX ile kullanabilmek iin, benzer
bilgileri tayan TFM dosyalar gerekir. afm2tfm bu gerekli dnm yapar.

%description -l tr xdvi
xdvi X Windows sistemi altnda alan bir programdr. TeX ya da LaTeX
tarafndan oluturulmu olan dvi dosyalarnn grntlenmesi amacyla
kullanlr.

%description -l tr dvilj
TeX kts dvi dosyalarn HP PCL (HP'nin gelitirdii bir yazc denetim
dili) komutlarna evirir ve bylece bir LaserJet+, HP LaserJet IIP (dvilj2p
ile), HP LaserJet4 (dvilj4 ile) ve tam uyumlularndan yazc kts
alnabilir.

%description -l tr
TeX, iinde metin ve komutlarn yer ald bir dosyay okur ve dizgi
aygtndan bamsz bir kt (DeVice Independent - DVI) oluturur.
TeX'in becerileri ve dizgi dili, dili gelitiren Knuth'un 'The TeXbook'
balkl kitabnda anlatlmaktadr.

%prep
%setup -q -n teTeX-%{PACKAGE_VERSION}
%patch0 -p1 -b .rhconfig
%patch1 -p1 -b .buildr
mkdir -p texk/share/texmf
tar xzf $RPM_SOURCE_DIR/teTeX-texmf-%{PACKAGE_VERSION}.tar.gz -C texk/share/texmf
%patch2 -p1

%build
sh ./reautoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--with-system-ncurses --with-system-zlib --with-system-pnglib \
	--disable-multiplatform --without-dialog --without-texinfo \
	--with-fonts-dir=/var/lib/texmf \
	--with-texmf-dir=../share/texmf \
	$RPM_ARCH-redhat-linux
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/var/lib/texmf
perl -pi \
	-e "s|\.\./share/texmf|$RPM_BUILD_ROOT/usr/share/texmf|g;" \
	-e "s|/var/lib/texmf|$RPM_BUILD_ROOT/var/lib/texmf|g;" \
	texk/share/texmf/web2c/texmf.cnf
cp -a texk/share/texmf  $RPM_BUILD_ROOT/usr/share/texmf
make install prefix=$RPM_BUILD_ROOT/usr \
	texmf=$RPM_BUILD_ROOT/usr/share/texmf
make init prefix=$RPM_BUILD_ROOT/usr \
	texmf=$RPM_BUILD_ROOT/usr/share/texmf
perl -pi \
	-e "s|\.\./share/texmf|/usr/share/texmf|g;" \
	-e "s|$RPM_BUILD_ROOT/var/lib/texmf|/var/lib/texmf|g;" \
	$RPM_BUILD_ROOT/usr/share/texmf/web2c/texmf.cnf
rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip $RPM_BUILD_ROOT/usr/info/*info*

# install the new magic print filter for converting dvi to ps
mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/dvi-to-ps.fpi $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters

mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m755 $RPM_SOURCE_DIR/tetex.cron $RPM_BUILD_ROOT/etc/cron.daily

# Strip binaries
strip $RPM_BUILD_ROOT/usr/bin/* || :

### Files list
find $RPM_BUILD_ROOT -type f -or -type l | \
	sed -e "s|$RPM_BUILD_ROOT||g" | \
	grep -v "^/etc" | \
	sed -e "s|.*\.cnf$|%config &|" > filelist.full

# subpackages
grep -v "/doc/" filelist.full | grep latex 	> filelist.latex
grep -v "/doc/" filelist.full | grep xdvi  	> filelist.xdvi
grep -v "/doc/" filelist.full | grep dvips 	> filelist.dvips
grep -v "/doc/" filelist.full | grep dvilj 	> filelist.dvilj
grep -v "/doc/" filelist.full | grep afm 	> filelist.afm
grep "/doc/" filelist.full 			> filelist.doc

# now files listed only once are in the main  package
cat filelist.full filelist.latex filelist.xdvi filelist.dvips \
   filelist.dvilj filelist.afm  filelist.doc | \
   sort | uniq -u > filelist.main 

#wmconfig things
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xdvi <<EOF
xdvi name "XDvi"
xdvi icon "text.xpm"
xdvi mini-icon "mini-doc1.xpm"
xdvi exec "xdvi &"
xdvi group "Graphics/Viewers"
EOF

%clean
[ -d /usr/share/texmf.TeX.build ] && {
    rm -rf /usr/share/texmf
    mv -f /usr/share/texmf.TeX.build /usr/share/texmf
}
rm -rf $RPM_BUILD_ROOT
rm -f filelist.*

# make sure ls-R used by tetex is updated after an install

%post
/sbin/install-info /usr/info/web2c.info.gz /usr/info/dir
/sbin/install-info /usr/info/kpathsea.info.gz /usr/info/dir
/usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post latex
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
/sbin/install-info /usr/info/latex.info.gz /usr/info/dir
exit 0

%post xdvi
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post dvips
/sbin/install-info /usr/info/dvips.info.gz /usr/info/dir
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post dvilj
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post afm
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun latex
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun xdvi
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun dvips
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun dvilj
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun afm
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete /usr/info/kpathsea.info.gz /usr/info/dir
	/sbin/install-info --delete /usr/info/web2c.info.gz /usr/info/dir
fi

%preun dvips
if [ "$1" = 0 ]; then
	/sbin/install-info --delete /usr/info/dvips.info.gz /usr/info/dir
fi

%preun latex
if [ "$1" = 0 ]; then
	/sbin/install-info --delete /usr/info/latex.info.gz /usr/info/dir
fi

%files -f filelist.main
%defattr(-,root,root)
%attr(1777,root,root) %dir /var/lib/texmf
%config /etc/cron.daily/tetex.cron

%files -f filelist.latex latex
%defattr(-,root,root)

%files -f filelist.xdvi xdvi
%defattr(-,root,root)
%config /etc/X11/wmconfig/xdvi

%files -f filelist.dvips dvips
%defattr(-,root,root)
/usr/lib/rhs/rhs-printfilters/dvi-to-ps.fpi

%files -f filelist.dvilj dvilj
%defattr(-,root,root)

%files -f filelist.afm afm
%defattr(-,root,root)

%files -f filelist.doc doc
%defattr(-,root,root)

%changelog
* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- enable italian formatting

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires ed
- Fixed obsoletes line
- credted the doc subpackage
- fully buildroot
- require dialog in the main package
- add support for wmconfig in for the xdvi package

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 0.9
- texmf-src package is gone
- use /var/lib/texmf instead of /var/tmp/texmf

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- make sub-packages depend on tetex (problem #214)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- eliminate environment when running texhash (problem #849)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Feb  5 1998 Otto Hammersmith <otto@redhat.com>
- added install-info support (dvips, fontname and kpathsea)
- combined the two changelogs in the spec file.

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed dvi-to-ps.fpi to create temp files more safely.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr  8 1997 Michael Fulbright <msf@redhat.com>
- Removed afmdoit from file list (mistakenly added in release 3 rpm)

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to tetex-lib to 0.4pl8 and fixed cron tmpwatch entry to not
  delete /var/lib/texmf/fonts and /var/lib/texmf/texfonts

* Fri Mar 07 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl7.

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.
